TimelineDomainReader (Apache Hadoop YARN API 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.api.records.timelineservice.reader, class: TimelineDomainReader

Package org.apache.hadoop.yarn.api.records.timelineservice.reader

# Class TimelineDomainReader

java.lang.Object
org.apache.hadoop.yarn.api.records.timelineservice.reader.TimelineDomainReader

All Implemented Interfaces:
  `javax.ws.rs.ext.MessageBodyReader<TimelineDomain>`

@Provider @Consumes("application/json") public class TimelineDomainReader extends Object implements javax.ws.rs.ext.MessageBodyReader<TimelineDomain>
We have defined a dedicated Reader for TimelineDomain, aimed at adapting to the Jersey2 framework to ensure that JSON can be converted into TimelineDomain.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimelineDomainReader()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)`
  `TimelineDomain`
  `readFrom(Class<TimelineDomain> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TimelineDomainReader

    public TimelineDomainReader()

- ## Method Details

  - ### isReadable

    public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)
    Specified by:
      `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<TimelineDomain>`

  - ### readFrom

    public TimelineDomain readFrom(Class<TimelineDomain> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream) throws IOException, javax.ws.rs.WebApplicationException
    Specified by:
      `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<TimelineDomain>`
    Throws:
      `IOException`
      `javax.ws.rs.WebApplicationException`